Bug 243746 - CVE-2007-2876 {ip, nf}_conntrack_sctp: remotely triggerable NULL ptr dereference
CVE-2007-2876 {ip, nf}_conntrack_sctp: remotely triggerable NULL ptr dereference
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
low Severity high
: ---
: ---
Assigned To: Jason Baron
Martin Jenner
impact=important,source=kernelsec,rep...
: Security
Depends On: 243245
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-11 13:09 EDT by Linda Wang
Modified: 2013-03-06 00:59 EST (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2007-0488
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-25 14:06:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Linda Wang 2007-06-11 13:09:08 EDT
+++ This bug was initially created as a clone of Bug #243245 +++

From Vilmos Nebehaj:

When creating a new connection by sending an unknown chunk type, we don't
transition to a valid state, causing a NULL pointer dereference in sctp_packet
when accessing sctp_timeouts[SCTP_CONNTRACK_NONE].
Comment 1 RHEL Product and Program Management 2007-06-11 13:16:01 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Jason Baron 2007-06-12 11:52:50 EDT
 committed in stream rhel‑4.5.z build 55.0.1
Comment 4 Joshua Giles 2007-06-21 19:22:34 EDT
testcase or reproducer please.
Comment 6 Red Hat Bugzilla 2007-06-25 14:06:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0488.html

Note You need to log in before you can comment on or make changes to this bug.